Install GoHighLevel
curl --request GET \
--url https://api.trillet.ai/v1/api/crm/install \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/crm/install"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/crm/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
}
Install GoHighLevel
Get the GoHighLevel OAuth authorization URL to connect your GHL CRM.
GET
/
v1
/
api
/
crm
/
install
Install GoHighLevel
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Query Parameters
string
required
The call flow pathway ID to connect GoHighLevel to.
Response Fields
string
The GoHighLevel OAuth authorization URL. Redirect the user to this URL to authorize the connection.
{
"url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
}
⌘I
